import request from '@/utils/request'

// 创建企业管理-资产处置子
export function createPropertyDealItem(data) {
  return request({
    url: '/company/property-deal-item/create',
    method: 'post',
    data: data
  })
}

// 更新企业管理-资产处置子
export function updatePropertyDealItem(data) {
  return request({
    url: '/company/property-deal-item/update',
    method: 'put',
    data: data
  })
}

// 更新企业管理-资产变动子
export function updatePropertyDealItemChange(data) {
  return request({
    url: '/company/property-deal-item/updateChange',
    method: 'put',
    data: data
  })
}

// 删除企业管理-资产处置子
export function deletePropertyDealItem(id) {
  return request({
    url: '/company/property-deal-item/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业管理-资产处置子
export function getPropertyDealItem(id) {
  return request({
    url: '/company/property-deal-item/get?id=' + id,
    method: 'get'
  })
}

// 获得企业管理-资产处置子表分页
export function getPropertyDealItemPage(params) {
  return request({
    url: '/company/property-deal-item/page',
    method: 'get',
    params
  })
}

// 导出企业管理-资产处置子 Excel
export function exportPropertyDealItemExcel(params) {
  return request({
    url: '/company/property-deal-item/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
